# chan_tbtt_tag Struct Reference
[CHAN]

Structure containing TBTT switch information. More...

`#include <chan.h>`

Collaboration diagram for chan_tbtt_tag:
[legend]

## Data Fields
struct co_list_hdr | list_hdr
| List header for chaining.
uint32_t | time
| TBTT switch time.
uint8_t | vif_index
| VIF Index.
uint8_t | status
| TBTT status (.
uint8_t | p2p_noa_vif_index
| Index of the P2P GO vif on which this TBTT induce a NOA (INVALID_VIF_IDX if this TBTT doesn't induce any NOA).
uint8_t | p2p_noa_index
| Index of the P2P NOA induced. Undefined if p2p_noa_vif_index == INVALID_VIF_IDX.
int32_t | p2p_noa_tsf_update
| Contains offset applied to TSF when starting periodic NOA.
int32_t | p2p_noa_tbtt_to_end
| Contains time, in us, between the TBTT and the end of the induced NOA when the NOA has been started.
int16_t | p2p_noa_drift
| TBTT drift, in us, between the latest TBTT and when the NOA has been started.

## Detailed Description

Structure containing TBTT switch information.

Definition at line 127 of file chan.h.

## Field Documentation

int16_t chan_tbtt_tag::p2p_noa_drift

TBTT drift, in us, between the latest TBTT and when the NOA has been started.

Valid only if p2p_noa_vif_index != INVALID_VIF_IDX

Definition at line 158 of file chan.h.

Referenced by chan_p2p_noa_resync_check(), and chan_start_p2pgo_noa().

int32_t chan_tbtt_tag::p2p_noa_tbtt_to_end

Contains time, in us, between the TBTT and the end of the induced NOA when the NOA has been started.

Valid only if p2p_noa_vif_index != INVALID_VIF_IDX

Definition at line 154 of file chan.h.

Referenced by chan_p2p_noa_resync_check(), and chan_start_p2pgo_noa().

int32_t chan_tbtt_tag::p2p_noa_tsf_update

Contains offset applied to TSF when starting periodic NOA.

Valid only for P2P GO vif if bit CHAN_TBTT_P2P_NOA_TSF_UPDATE is set in status

Definition at line 149 of file chan.h.

Referenced by chan_p2p_noa_resync(), chan_p2p_noa_resync_check(), chan_p2p_noa_tsf_updated(), and chan_start_p2pgo_noa().

uint8_t chan_tbtt_tag::status

TBTT status (.

See also:
  enum chan_tbtt_status)

Definition at line 137 of file chan.h.

Referenced by chan_p2p_noa_resync(), chan_p2p_noa_resync_check(), chan_p2p_noa_tsf_updated(), chan_reset_tbtt_list(), chan_start_p2pgo_noa(), chan_tbtt_insert_before(), and chan_tbtt_remove().

The documentation for this struct was generated from the following file:

- /space/home/slher/rel/Beken/v6_4_5/macsw/ip/lmac/src/chan/chan.h